ruby 1.9 breaks ditz

« ditz project page

possibly just a matter of digest/sha1 -> sha1

Details

Id: eab2a56735848a111ffde7ba5d78d50618345fab
Type: bugfix
Creation time: 2008-07-29 16:07 GMT
Creator: William Morgan <wmorgan-ditz@...>
Release: unassigned
Component: ditz
Status: unstarted

Issue log

2008-08-17 02:28 GMT William Morgan <wmorgan-ditz@...> unassigned from release 0.5
When I run it with ruby 1.9 I see errors like this: /home/w/devel/ditz/lib/model-objects.rb:1:in `require': /home/w/devel/ditz/lib/model.rb:194: multiple assignment in conditional (SyntaxError) /home/w/devel/ditz/lib/model.rb:212: multiple assignment in conditional from /home/w/devel/ditz/lib/model-objects.rb:1:in `' from /home/w/devel/ditz/lib/ditz.rb:63:in `require' from /home/w/devel/ditz/lib/ditz.rb:63:in `' from bin/ditz:22:in `require' from bin/ditz:22:in `
' Which seems plumb crazy to me. Those are perfectly valid blocks of Ruby. As of now, I'm delaying fixing the Ruby 1.9 issue until I understand what the above is and whether I should care.
2008-07-29 16:07 GMT William Morgan <wmorgan-ditz@...> created